Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		cfitsio
Version:	3.100
Release:	1
Url:		http://heasarc.nasa.gov/fitsio/fitsio.html
License:	GPL v2 only; Other uncritical OpenSource License
Group:		Multimedia/Graphics
Summary:	A FITS File Subroutine Library
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}3100.tar.gz

# Patches:
Patch:		%{name}-3100-makefile.patch

#Manual build dependencies
BuildRequires: gcc-gfortran

#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
CFITSIO is a library of C and Fortran subroutines for reading and
writing data files in FITS (Flexible Image Transport System) data
format. CFITSIO provides simple high-level routines for reading and
writing FITS files that insulate the programmer from the internal
complexities of the FITS format. CFITSIO also provides many advanced
features for manipulating and filtering the informationin FITS files.

%package	devel
Summary:	%{name} development headers.
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}
%patch -p1

%build
export CC=gcc
export FC=f95
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
./configure \
--prefix=%_prefix \
--includedir=%_includedir \
--disable-debug
make shared %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

pushd $RPM_BUILD_ROOT%_libdir
ln -s libcfitsio.so.0 libcfitsio.so
popd

find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%doc License.txt README changes.txt
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%_libdir/*.a
%_libdir/*.so
%_includedir
%_pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Dec 25 2008 Christian Wasem <wasem@ccux-linux.de> 3.100-1
- Version update
* Fri Aug 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.090-1
- initial CCux package release
